## tuxcmd 0.6.50

=== Makefile ===
# Makefile -- Tux Commander build system
#
#    Copyright (C) 2008 Tomas Bzatek <tbzatek@users.sourceforge.net>
#    Check for updates on tuxcmd.sourceforge.net
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty or
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#  Specify paths
DESTDIR=/usr

# following paths are optional; needed only for Kylix compilation
KYLIXPREFIX=/usr/local/kylix3
GTK2FORPASCAL_LIBDIR=./gtk2

###  End of user writeable section



INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
CLEAN_OBJS=*.o *.a *.d *.s *.ppu *.dcu *.rst *~ *.~* core tuxcmd fpcver.inc
LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`


# -Ct must be disabled here, causes unneeded crashes
# -CR and -Cr must be disabled here, causes range check errors with gnome-power-manager
# -Cg generates internal compiler errors on i386
# -XX prevents linking errors of unresolved and unused symbols
# "-k-z noexecstack" (with quotes as a single parameter) avoids marking stack as executable, allowing to work correctly with SELinux in Enforcing mode
CFLAGS= -vweh -Un -Ci -Co -XX "-k-z noexecstack"



tuxcmd::
	echo "const" > fpcver.inc
	echo "  ConstFPCVersionString = '`fpc -iW`';" >> fpcver.inc
	echo "  ConstFPCDateString = '`fpc -iD`';" >> fpcver.inc
	echo "  ConstFPCCompilerOSString = '`fpc -iSO`';" >> fpcver.inc
	echo "  ConstFPCCompilerHostProcessorString = '`fpc -iSP`';" >> fpcver.inc
	echo "  ConstFPCTargetOSString = '`fpc -iTO`';" >> fpcver.inc
	echo "  ConstFPCTargetProcessorString = '`fpc -iTP`';" >> fpcver.inc
	fpc -Mdelphi $(CFLAGS) \
	    -Fu./libgtk_kylix -Fu./translations -Fu./vfs \
	    tuxcmd.dpr

debug: CFLAGS += -g
debug: tuxcmd


kylix::
	$(KYLIXPREFIX)/bin/dcc -DKYLIX \
	-U$(GTK2FORPASCAL_LIBDIR)/glib -U$(GTK2FORPASCAL_LIBDIR)/pango \
	-U$(GTK2FORPASCAL_LIBDIR)/atk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gtk \
	-U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk-pixbuf \
	-U$(KYLIXPREFIX)/lib \
	-U./libgtk_kylix -U./translations -U./vfs ./tuxcmd.dpr


modules::
	(cd "vfs" && $(MAKE) `echo $@ | sed s/-recursive//` ) || exit 1;

modules_install:
	(cd "vfs" && $(MAKE) install "$(DESTDIR)") || exit 1;



clean cleandir:
	rm -f $(CLEAN_OBJS)
	( cd vfs && rm -f $(CLEAN_OBJS) )
	( cd libgtk_kylix && rm -f $(CLEAN_OBJS) )
	( cd translations && rm -f $(CLEAN_OBJS) )
	

tuxcmd_install:
	if [ ! -d $(DESTDIR) ]; then mkdir -p $(DESTDIR); fi;
	if [ ! -d $(DESTDIR)/bin ]; then mkdir -p $(DESTDIR)/bin; fi;
	if [ ! -d $(DESTDIR)/share ]; then mkdir -p $(DESTDIR)/share; fi;
	if [ ! -d $(DESTDIR)/share/doc ]; then mkdir -p $(DESTDIR)/share/doc; fi;
	if [ ! -d $(DESTDIR)/share/doc/tuxcmd ]; then mkdir -p $(DESTDIR)/share/doc/tuxcmd; fi;
	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX) ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX); fi;
	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd; fi;
	$(INSTALL) ./tuxcmd $(DESTDIR)/bin
	$(INSTALL_DATA) ./COPYING $(DESTDIR)/share/doc/tuxcmd
	$(INSTALL_DATA) ./README $(DESTDIR)/share/doc/tuxcmd

uninstall:
	if [ -f $(DESTDIR)/bin/tuxcmd ]; then rm -f $(DESTDIR)/bin/tuxcmd; fi;
	if [ -d $(DESTDIR)/share/doc/tuxcmd ]; then rm -Rf $(DESTDIR)/share/doc/tuxcmd; fi;
	if [ -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd ]; then rm -Rf $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd; fi;

help::
	@echo "Tux Commander build system"
	@echo
	@echo "Following targets are available:"
	@echo
	@echo "  tuxcmd              Build tuxcmd with FreePascal [default]"
	@echo "  kylix               Build tuxcmd with Kylix (needs paths setup in Makefile)"
	@echo "  install             Install tuxcmd to the system (DESTDIR overrides default path)"
	@echo "  uninstall           Remove tuxcmd from the system (DESTDIR overrides default path)"
	@echo "  clean               Cleanup the build structure"
	@echo "  modules             Build modules (in vfs/)"
	@echo "  modules_install     Install modules to the system"
	@echo
	@exit 0

install: tuxcmd_install

all: tuxcmd

=== vfs/null_plugin/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# compiler options
CC = gcc
CFLAGS = -Wall -O2 -g


all shared static: null_plugin

null_plugin: null_plugin.c
	$(CC) -c null_plugin.c -I. -fPIC -I/usr/include $(CFLAGS)
	$(CC) -shared -Wall -o libnull_plugin.so null_plugin.o 

install::
	$(INSTALL) ./libnull_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o libnull_plugin.so

## tuxcmd 0.6.70+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 
 #  Specify paths
-DESTDIR=/usr
+DEFAULT_DESTDIR=/usr
 
 # following paths are optional; needed only for Kylix compilation
 KYLIXPREFIX=/usr/local/kylix3
@@ -29,10 +29,10 @@
 
 
 
-INSTALL=install -c
-INSTALL_DATA = ${INSTALL} -m 644
+DESTDIR=$(DEFAULT_DESTDIR)
+INSTALL=install
 CLEAN_OBJS=*.o *.a *.d *.s *.ppu *.dcu *.rst *~ *.~* core tuxcmd fpcver.inc
-LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`
+LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`
 
 
 # -Ct must be disabled here, causes unneeded crashes
@@ -41,7 +41,7 @@
 # -XX prevents linking errors of unresolved and unused symbols
 # "-k-z noexecstack" (with quotes as a single parameter) avoids marking stack as executable, allowing to work correctly with SELinux in Enforcing mode
 CFLAGS= -vweh -Un -Ci -Co -XX "-k-z noexecstack"
-
+EXTRA_CFLAGS= -O3
 
 
 tuxcmd::
@@ -52,21 +52,24 @@
 	echo "  ConstFPCCompilerHostProcessorString = '`fpc -iSP`';" >> fpcver.inc
 	echo "  ConstFPCTargetOSString = '`fpc -iTO`';" >> fpcver.inc
 	echo "  ConstFPCTargetProcessorString = '`fpc -iTP`';" >> fpcver.inc
-	fpc -Mdelphi $(CFLAGS) \
+	fpc -Mdelphi $(CFLAGS) $(EXTRA_CFLAGS) \
 	    -Fu./libgtk_kylix -Fu./translations -Fu./vfs \
 	    tuxcmd.dpr
 
-debug: CFLAGS += -g
+
+debug: EXTRA_CFLAGS = -g -gl -gv -O-
 debug: tuxcmd
 
+final_debug: EXTRA_CFLAGS = -g -gl -gv -O3
+final_debug: tuxcmd
 
 kylix::
-	$(KYLIXPREFIX)/bin/dcc -DKYLIX \
+	$(KYLIXPREFIX)/bin/dcc -DKYLIX -V -H -W -$$X+ -$$I+ -$$D+ -$$I+ -$$L+ -$$M+ -$$Q+ -$$R+ -$$W+ -$$Y+ \
 	-U$(GTK2FORPASCAL_LIBDIR)/glib -U$(GTK2FORPASCAL_LIBDIR)/pango \
 	-U$(GTK2FORPASCAL_LIBDIR)/atk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gtk \
 	-U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk -U$(GTK2FORPASCAL_LIBDIR)/gtk+/gdk-pixbuf \
 	-U$(KYLIXPREFIX)/lib \
-	-U./libgtk_kylix -U./translations -U./vfs ./tuxcmd.dpr
+	-U./libgtk_kylix -U./translations -U./vfs -U./compat ./tuxcmd.dpr
 
 
 modules::
@@ -82,19 +85,44 @@
 	( cd vfs && rm -f $(CLEAN_OBJS) )
 	( cd libgtk_kylix && rm -f $(CLEAN_OBJS) )
 	( cd translations && rm -f $(CLEAN_OBJS) )
-	
+	( cd compat && rm -f $(CLEAN_OBJS) )
+
+
+gtk_update_icon_cache = gtk-update-icon-cache -f -t $(DESTDIR)/share/icons/hicolor
 
 tuxcmd_install:
-	if [ ! -d $(DESTDIR) ]; then mkdir -p $(DESTDIR); fi;
-	if [ ! -d $(DESTDIR)/bin ]; then mkdir -p $(DESTDIR)/bin; fi;
-	if [ ! -d $(DESTDIR)/share ]; then mkdir -p $(DESTDIR)/share; fi;
-	if [ ! -d $(DESTDIR)/share/doc ]; then mkdir -p $(DESTDIR)/share/doc; fi;
-	if [ ! -d $(DESTDIR)/share/doc/tuxcmd ]; then mkdir -p $(DESTDIR)/share/doc/tuxcmd; fi;
-	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX) ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX); fi;
-	if [ ! -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd ]; then mkdir -p $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd; fi;
-	$(INSTALL) ./tuxcmd $(DESTDIR)/bin
-	$(INSTALL_DATA) ./COPYING $(DESTDIR)/share/doc/tuxcmd
-	$(INSTALL_DATA) ./README $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -d $(DESTDIR)/bin
+	$(INSTALL) -m 755 tuxcmd $(DESTDIR)/bin
+	$(INSTALL) -d $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd
+	$(INSTALL) -d $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -m 644 COPYING $(DESTDIR)/share/doc/tuxcmd
+	$(INSTALL) -m 644 README $(DESTDIR)/share/doc/tuxcmd
+	
+	desktop-file-install -m 644 --dir $(DESTDIR)/share/applications data/tuxcmd.desktop
+	
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/16x16/apps
+	$(INSTALL) -m 644 data/icons/16x16/tuxcmd.png $(DESTDIR)/share/icons/hicolor/16x16/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/24x24/apps
+	$(INSTALL) -m 644 data/icons/24x24/tuxcmd.png $(DESTDIR)/share/icons/hicolor/24x24/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/32x32/apps
+	$(INSTALL) -m 644 data/icons/32x32/tuxcmd.png $(DESTDIR)/share/icons/hicolor/32x32/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/48x48/apps
+	$(INSTALL) -m 644 data/icons/48x48/tuxcmd.png $(DESTDIR)/share/icons/hicolor/48x48/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/64x64/apps
+	$(INSTALL) -m 644 data/icons/64x64/tuxcmd.png $(DESTDIR)/share/icons/hicolor/64x64/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/128x128/apps
+	$(INSTALL) -m 644 data/icons/128x128/tuxcmd.png $(DESTDIR)/share/icons/hicolor/128x128/apps
+	$(INSTALL) -d $(DESTDIR)/share/icons/hicolor/scalable/apps
+	$(INSTALL) -m 644 data/icons/scalable/tuxcmd.svg $(DESTDIR)/share/icons/hicolor/scalable/apps
+	
+	@-if test "$(DESTDIR)" = "$(DEFAULT_DESTDIR)"; then \
+		echo "Updating Gtk icon cache."; \
+		$(gtk_update_icon_cache); \
+	else \
+		echo "*** Icon cache not updated.  After install, run this:"; \
+		echo "***   $(gtk_update_icon_cache)"; \
+	fi
+
 
 uninstall:
 	if [ -f $(DESTDIR)/bin/tuxcmd ]; then rm -f $(DESTDIR)/bin/tuxcmd; fi;

=== pixmaps/tools/Makefile ===
CC = gcc
CFLAGS = -Wall -ggdb

gdk-pixbuf-pas: gdk-pixbuf-pas.c
	$(CC) -o gdk-pixbuf-pas gdk-pixbuf-pas.c -I. -I/usr/include $(CFLAGS) `pkg-config glib-2.0 --cflags --libs`

clean: 
	rm -f *.o gdk-pixbuf-pas

all: gdk-pixbuf-pas

=== debian/changelog ===
tuxcmd (0.6.70+dfsg-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Remove DM-Upload-Allowed field in debian/control
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright for debian/* packaging files.
  * Fix typos in tuxcmd manpage (Closes: #558325)
  * Bump Standards-Version to 3.9.4
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2013 20:28:22 +0200

tuxcmd (0.6.70+dfsg-1) unstable; urgency=low

  * New upstream release
    - Portuguese localization added (Closes: #556187).
  * Remove comment from debian/watch since upstream version should be again
    monitorable via watch file. 
  * Refresh debian/copyright information. 
  * debian/patches:
    - Refresh 01_do_not_install_COPYING_file.patch.
    - Drop patches which are now integrated in new upstream version directly:
      + 04_zh_locale.patch 
      + add_portuguese_localisation.patch
    - Drop do_not_run-gtk-update-icon-cache.patch: This patch is not needed
      anymore since upstream now tests for installation in non-/usr dir and
      will not run gtk-update-icon-cache there.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 17 Nov 2009 19:51:28 +0100

tuxcmd (0.6.69+dfsg-1) unstable; urgency=low
  
  * New upstream release
    - Improvements and bugfixes in development.
    - Repackage upstreams tarball excluding two files with unclear licensing.
      Add a README.source to explain how to get the orig.tar.gz
  * debian/watch: Add a comment on why current version cannot be monitored via
    debian/watch file and add option to mangle version. 
  * debian/patches:
    - Drop patches which are now integrated in new upstream version directly:
      + display_correct_file_dates_and_sizes_in_overwrite_dialog.patch
      + 02_skip_0_and_NULL_mount_points.patch
      + 03_restore_last_used_item_fix_for_connmgr.patch
      + svf_date_and_time_stamp.patch
      + checksums_dialog_set_columns_as_autosizing.patch
    - Refresh 01_do_not_install_COPYING_file.patch.
    - Refresh 04_zh_locale.patch patch
  * Drop debian/tuxcmd.desktop since upstream comes now with a freedesktop
    desktop entry file. Upstreams tuxcmd.desktop file is installed
    accordingly.
  * Drop debian/tuxcmd.xpm (upstream integrates now own icon file). Install the
    scalable version into `/usr/share/icons/hicolor/scalable/'.
  * debian/control: Add desktop-file-utils to Build-Depends.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Refresh debian/copyright and update it to the proposed machine readable
    format specification proposed by DEP5. 
  * Add portuguese translation. Thanks to Américo Monteiro.
  * Convert to '3.0 (quilt)' source package format. Drop explicit build
    dependencies in debian/control and debian/rules.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Nov 2009 20:42:05 +0100

tuxcmd (0.6.50-6) unstable; urgency=low

  * Add a tuxcmd icon file and the desktop file taken from fedora CVS.
  * Bump Standards-Version to 3.8.2 (no changes needed). 
  * debian/copyright: Update Format-Specification to the dep5 proposal. 
  * debian/rules: Minimize the rules file by using dh commands and a tiny
    version (adjust Build-Depends on debhelper and quilt to required
    versions). 
  * debian/README.source: shorten explanation of the use of the patch
    system quilt and point for further details to the document in
    /usr/share/doc/quilt/README.source 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 20 Jun 2009 16:03:44 +0200

tuxcmd (0.6.50-5) unstable; urgency=low

  * Add patch svf_date_and_time_stamp.patch: This patch fixes the date
    and time stamp format showed when verifying a SVF checksums file.
  * Add patch from upstream Git-Repository for the Checksums dialog to
    set the columns width to autosizing instead of fixed.
  * debian/control: Add DM-Upload-Allowed field. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 21 May 2009 18:25:35 +0200

tuxcmd (0.6.50-4) unstable; urgency=low

  * Apply patch from Li Daobing to fix garbled interface under the
    zh_CN locale (Closes: #529218). 
  * debian/rules: Do not set DH_VERBOSE=1. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 18 May 2009 08:31:05 +0200

tuxcmd (0.6.50-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.1.
  * Switch from dpatch to quilt patch system.
  * Integrate patch from Git-Repository to display correct file dates and
    sizes in overwrite dialog. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 12 May 2009 21:40:41 +0200

tuxcmd (0.6.50-2) unstable; urgency=low

  * Add patch from Git-Repository to skip '0' and NULL mount points.
  * Connection Manager: Fix a typo preventing to restore the last
    used item properly. 
  * Fix "copyright-refers-to-symlink-license usr/share/common-licenses/GPL"
    pedantic lintian warning and refer explicitely to the GPL version
    2 license file. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Feb 2009 14:29:23 +0100

tuxcmd (0.6.50-1) unstable; urgency=low

  * Initial release (Closes: #498513)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 09 Dec 2008 19:44:46 +0100

=== debian/control ===
Source: tuxcmd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), fpc, desktop-file-utils
Standards-Version: 3.9.4
Homepage: http://tuxcmd.sourceforge.net/

Package: tuxcmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tuxcmd-modules
Description: twin-panel (commander-style) file manager using GTK+ 2
 Tux Commander is a windowed file manager with 2 panels side
 by side similar to popular Total Commander or Midnight 
 Commander file managers.
 . 
 General features:
  * Two directory panels side by side (vertical)
  * Tabbed interface, buttons for quick access to favorite 
    places
  * Configurable mounter bar for quick access to removable 
    media and network shares
  * Multilingual user interface
  * Extendable via plugin system 
  * Extension-based file type actions (associations)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/tuxcmd/tuxcmd-([\d\.]*)\.tar\.bz2
